XnDumpWriter Struct Reference

`#include <XnDumpWriters.h>`

## Public Attributes

void * | pCookie
XnDumpWriterFileHandle(* | OpenFile )(void *pCookie, const XnChar *strDumpName, XnBool bSessionDump, const XnChar *strFileName)
void(* | Write )(void *pCookie, XnDumpWriterFileHandle hFile, const void *pBuffer, XnUInt32 nBufferSize)
void(* | CloseFile )(void *pCookie, XnDumpWriterFileHandle hFile)

## Member Data Documentation

## CloseFile

void(* XnDumpWriter::CloseFile) (void *pCookie, XnDumpWriterFileHandle hFile)

## OpenFile

XnDumpWriterFileHandle(* XnDumpWriter::OpenFile) (void *pCookie, const XnChar *strDumpName, XnBool bSessionDump, const XnChar *strFileName)

## pCookie

void* XnDumpWriter::pCookie

## Write

void(* XnDumpWriter::Write) (void *pCookie, XnDumpWriterFileHandle hFile, const void *pBuffer, XnUInt32 nBufferSize)

The documentation for this struct was generated from the following file:

- XnDumpWriters.h